from flask_restx import Resource, Namespace
from app.functions.roll_dices import roll_dices

namespace = Namespace('dice', description='Roll Chance Operations')


@namespace.route('/probability', methods=['GET'])  # resolves to: /dice/probability
class RollChance(Resource):
    @staticmethod
    def get():
        return roll_dices(1, 100, False), 200
